# Contributing to the TOC [DRAFT]

## Contributing Projects to CDF

If you're interested in contributing a project to the Continuous Delivery Foundation (CDF), please open up an issue here for discussion: https://github.com/cdfoundation/toc/issues

The full project proposal requirements is located [here](https://github.com/cdfoundation/toc/blob/master/PROJECT_LIFECYCLE.md#project-proposal-requirements).

## TOC Contributors

There has been a call from CDF’s Technical Oversight Committee (TOC) for additional contributors and expertise to help evaluate potential projects and contribute to the CDF. The CDF TOC will refine how to get involved over time, however, here are some possible ways to contribute:

* Tech due diligence for projects
* Time spent helping projects
* Liaison with GB
* CDF SIGs & working groups (various tasks)
* Technical content for website

If you are interested in engaging in this way, we would encourage you to issue a pull request to [TOC Contributors](https://github.com/cdfoundation/toc/blob/master/CONTRIBUTORS.md) that you desire to become a TOC Contributor. Although there is not an actual limit of having one Contributor per company, we would encourage CDF member companies to designate an official TOC Contributor who is tasked with consulting internal experts and expressing a semi-official view on a given project.

This is not only about individual contribution.  It is also about rallying help from your employer, e.g., if you work for a CDF Member company. We're particularly interested in Contributors that can act as a focal point for tapping relevant expertise from their organizations and colleagues in order to engage with CDF discussions in a timely manner.

The TOC already has the pattern of encouraging non-members to make non-binding votes, so no change in the TOC charter is necessary to allow Contributors.

TOC [meetings](https://github.com/cdfoundation/toc/blob/master/README.md#communication) are only two hours a month, which are mainly taken up with project presentations. While Contributors are welcome to share their views during the meeting, the biggest opportunity is to comment on the TOC [mailing list](https://lists.cd.foundation/g/cdf-toc), on pull requests representing project applications and in voting.
