# CDF TOC

The role of the CDF Technical Oversight Committee (TOC) is to facilitate communication and collaboration among the Technical Projects. The TOC will be responsible for:

- coordinating collaboration among Technical Projects, including development of an overall technical vision for the community;

- making recommendations to the Budget Committee of resource priorities for Technical Projects;

- electing annually a chairperson to preside over meetings, set the agenda for meetings, ensure meeting minutes are taken and who will also serve on the Governing Board as the TOC’s representative (the "TOC Representative");

- creating, maintaining and amending project lifecycle procedures and processes, subject to the approval of the Governing Board; and

- such other matters related to the technical role of the TOC as may be communicated to the TOC by the Governing Board.

## Governance

- The [charter](https://github.com/cdfoundation/charter/blob/master/CHARTER.md) under which CDF operates
- Additional [policies](./process) defined by the TOC

## Members

- Alan Dong, [@adong](https://github.com/adong), (Screwdriver, Yahoo) - 1 July 2023 to 30 June 2025 [Elected project seat]
- Andrea Frittoli, [@afrittoli](https://github.com/afrittoli), (Tekton, IBM) - 1 July 2023 to 30 June 2025 [Elected project seat]
- Mark Waite, [@MarkEWaite](https://github.com/MarkEWaite), (Jenkins, CloudBees) - 1 July 2023 to 30 June 2025 [Elected project seat]
- Steve Taylor, [@sbtaylor15](https://github.com/sbtaylor15), (Ortelius, DeployHub) -  1 July 2023 to 30 June 2025 [Elected project seat]
- Dadisi Sanyika, [@dsanyika](https://github.com/dsanyika), (Apple Inc.) - May 1, 2023 to May 1, 2024 [Elected End User Seat]
- Neil McGonigle, [@McGon-Fid](https://github.com/McGon-Fid), (Fidelity Investments) - May 1, 2023 to May 1, 2024 [Elected End User Seat]
- Melissa McKay, [@mjmckay](https://github.com/mjmckay), (JFrog) - 1 July 2021 to 01 July 2024 [Elected GB seat]
- Robert Reeves, [@r2liquibase](https://github.com/r2liquibase),  (Liquibase) - 1 July 2022 to 01 July 2024 [Elected GB seat]
- Tracy Ragan, [@tracyragan](https://github.com/tracyragan), (Ortelius, DeployHub) - 1 July 2022 to 01 July 2024 [Elected GB seat]

### TOC Contributors

We thank all commmunity members who participate in the Technical Oversight Committee activities
and represent their projects/SIGs/companies there.
See the list of TOC Contributors [here](./CONTRIBUTORS.md).

### TOC Alumni

- Kohsuke Kawaguchi (Jenkins) - 03/1/2020 to 02/28/2021
- James Strachan (Jenkins-X) - 03/1/2020 to 02/28/2021
- Isaac Mosquera (Spinnaker) - 08/1/2020 to 02/28/2021
- Tara Hernandez (Google) - 05/1/2020 to 04/30/2021
- Yoav Landman (JFrog) - 04/20/2020 to 04/30/2021
- Andy Glover (Spinnaker) - 03/1/2020 to 08/1/2020
- Dan Lorenc (Tekton, Chainguard) - 1 April 2021 to 31 March 2022 (TOC-appointed)
- Fatih Degirmenci (Interoperability SIG, Ericsson) - 1 April 2021 to 31 March 2022 (End-user-appointed)
- Garima Bajpai (Ortelius, Canada DevOps Community of Practice) - 1 July 2021 to 30 June 2022 [GB appointed Ambassador Chair]
- Jason Hall (Tekton/Shipwright, Red Hat) -  1 July 2021 to 30 June 2022 [Elected GB seat]
- Justin Abrahms (eBay) - 1 May 2022 - 1 May 2023 (Elected End User Seat)
- Emil Bäckmark (Ericsson) - 1 May 2022 - 1 May 2023 (Elected End User Seat)
- Jithin Emmanuel (Screwdriver, Yahoo Inc) - 1 July 2021 to 30 June 2023 [Elected project seat]
- Oleg Nenashev, (Jenkins/WireMock/OpenFeature, WireMock Inc) - 1 July 2021 to 30 June 2023 [Elected project seat]

Updated website for TOC: <https://cd.foundation/about/toc/>

## Projects

See the [process for contributing a project here](https://github.com/cdfoundation/toc/blob/master/PROJECT_LIFECYCLE.md).

See the current [CDF projects here](https://cd.foundation/projects/).

## Communication

The TOC communication happens via a public mailing list: <https://lists.cd.foundation/g/cdf-toc>

The meeting agenda is hosted here: [TOC Agenda](https://docs.google.com/document/d/1uBHar55fTInWF9Li4t0lyG3tTC8BRLU0FfBfsgk_Jrs/edit?ts=5c9580be#heading=h.en8cy6hno0c6)

The meeting minutes are here: [TOC Meeting Notes](docs/TOC_Meeting_Notes.md)

The public calendar is here: [CDF Public Calendar](https://calendar.google.com/calendar/embed?src=linuxfoundation.org_mhf0kmgedn67ihni8r129avp24%40group.calendar.google.com&ctz=America%2FLos_Angeles)

The community also uses [Slack for additional collaboration opportunities](https://join.slack.com/t/cdeliveryfdn/shared_invite/zt-nwc0jjd0-G65oEpv5ynFfPD5oOX5Ogg)

## Documents

- [Principles](PRINCIPLES.md)
- [Onboarding](docs/onboarding.md)
- [TOC Roadmap](https://github.com/cdfoundation/toc/projects/7)
- [Project Lifecycle](PROJECT_LIFECYCLE.md)
- [Code of Conduct](https://github.com/cdfoundation/.github/blob/main/CODE_OF_CONDUCT.md)

## Project Guidance

- [Copyright notice recommendations](https://github.com/cdfoundation/foundation/blob/main/CDF%20Copyright.md)
- [Project Website guidelines](https://github.com/cdfoundation/foundation/blob/main/CDF%20Project%20Website%20Guidelines.md) for mentioning companies while maintaining neutrality
- [Telemetry and Data Collection Policy](https://www.linuxfoundation.org/en/telemetry-data-policy/)
