# 2021 CDF TOC Elections

## Purpose

The role of this election is to elect the following Technical Oversight Committee (TOC) seats:
   * Four (4) Project seats 
      * Each CDF project may nominate a project representative to run for these seats. The seats are elected by CDF project contributors. 
   * Two (2) General seats 
      * Anyone meeting the candidate criteria may run for these seats. These seats are elected by the CDF Governing Board.

## TOC Overview

The role of the elected TOC representatives is to be part of the team responsible for the technical vision, project oversight and technical community decisions for the CDF. 
The vision of the CDF is to be the most trusted community that supports organizations in becoming high performing software delivery organizations while leveraging open source and open practices, and continuously improving their pursuit of software delivery excellence. 

For 2021, CDF has a key goal to 'Cultivate growth and adoption of our portfolio of open source projects' which includes:
  - Establish a roadmap for CDF that highlights best practices for software delivery  https://github.com/cdfoundation/toc/issues/27 (working with CDF strategy committtee)
  - Growing the CDF OSS Project Portfolio by attracting and onboarding 4 new projects that fit within the roadmap
  - Set a high standard for existing project growth, adoption and community development e.g. through security audits, mentoring programs, graduation process, maintainer feedback, etc 

The TOC will be responsible for:
  - coordinating collaboration among Technical Projects, including development of an overall technical vision for the community;

  - making recommendations to the Budget Committee of resource priorities for Technical Projects;

 -  electing annually a chairperson to preside over meetings, set the agenda for meetings, ensure meeting minutes are taken and who will also serve on the Governing Board as the TOC’s representative (the "TOC Representative");

  - creating, maintaining and amending project lifecycle and working group/SIG procedures and processes

  - communicating and collaborating with other CDF communitiese e.g End User Council, CDF Ambassadors 
  
  - helping meet the project related goals set out for the CD.Foundation by the Governing board

## Timeline

| Date  | Event | Details  |
| ----- | ----- | -------- |
| May 5 | Nominations open | Projects begin choosing candidates. General seat nominations open |
| May 14 | Project seats Nominations in | Deadline for project nominations |
| May 24 | General seats Nominations in | Deadline for general nominations |
| May 24 | Voter registration closes | Closing date to register to vote |
| May 28 | Candidates announced | Nominated candidates profiles made public |
| May 28 | Voting opens | Ballots are sent to eligible voters | 
| June 11 | Voting closes | Last day to submit a ballot | 
| June 23 | Announcement | Successful representatives announced | 
| July 1 | Term Begins | New reps beging their term | 


## Candidates Eligibility

  * Project seats - each CDF project nominates one representative to run for a project seat.  The candidate should meet the criteria listed below (in general seats) and ideally will be part of the projects governing board or technical steering committee (but this is not a strict requirement). Each project is free to choose its candidate in whichever manner fits best for their community. 
  * General seats - these are open to any individual who meets the following criteria
  	-	i. commit that they have the available bandwidth to make the time to invest in the CDF TOC,
  	-	ii. technical background with experience of continuous delivery and open source technologies 
  	-	iii. good communication skills with experience of participating in open source communities 
    - iv. operate neutrally in discussions and put the goals and success of CDF in balance with corporate objectives or any particular project in CDF.

## Candidate Nominations
   * Project seats - project representatives will be contacted to nominate their candidate. 
   * General seats - please fill out the [TOC General Seats Nomination Form](https://docs.google.com/forms/d/e/1FAIpQLSdFhcdxv0Hc5ask4OU2foqZgYW1PSWK5TMbcv-txpfd8urrWg/viewform). Anyone may nominate a candidate and self-nominations are accepted.  

## Voter Eligibility
  * Project seats - eligible voters will be
     - People who had 10 or more commits to any CDF project over the past year (prior to May 1 2021), via data in [LFX Insights](https://insights.lfx.linuxfoundation.org/projects/cdf-f/active-contributor?time=%7B%22from%22:%22now-1y%22,%22type%22:%22datemath%22,%22to%22:%22now%22%7D). 
     - People who have submitted the [voter registration form](https://forms.gle/XXRyXkQvy1LK9eBp9) and are accepted by the election officers. This is to ensure we have voters whose contributions may not be captured through the above methodology. Individuals are able to submit voter form on behalf of other individuals. 
  * General seats - these will be voted on by members of the [CDF governing board](https://cd.foundation/about/governing-board/)  

## Voting Process
Individuals listed in [voters.md](voters.md) will receive a ballot via email. If you are
not on that list you can use the [voter registration form](https://forms.gle/XXRyXkQvy1LK9eBp9) to ask
to participate in the election.

Elections will be held using time-limited, ranked voting via OPA Vote. 
 * The 4 top vote getters for project elections will be elected to the Project seats.
 * The 2 top vote getters for general elections will be elected to the General seats.

## Election Officers

- Gale McCommons, Linux Foundation
- Tracy Miranda, Continuous Delivery Foundation
- Fatih Degirmenci, Ericsson 
