# CDF Project Onboarding

This is a high level overview of onboarding for new CDF projects that have been accepted into the foundation by the technical oversight committee.
The listed actions should happen shortly after the project is accepted,
with a longer but reasonable grace period for legal actions like trademark and patent transfer.

## Community

* Code of Conduct - The project should introduce an inclusive code of conduct if it does not already exist.
   It is recommended to adopt [Contributor Covenant](https://www.contributor-covenant.org/) and document the Continuous Delivery Foundation as the escalation level next to the project
* Recommended: Delegate a representative to the Continuous Delivery Foundation that would participate in the CDF TOC mailing list and other foundation events

## Technical & Infrastructure

* Domain Transfer - project-related domains should be transferred to the Linux Foundation via an issue created here https://jira.linuxfoundation.org/plugins/servlet/theme/portal/2/group/19
* Github Repos - project-related repositories must be located in a neutral LF Github organization. The current GitHub organization owner must invite the user "thelinuxfoundation" (no quotes) as an owner.  GitHub’s documentation for how to do that is here: https://docs.github.com/en/organizations/managing-organization-settings/transferring-organization-ownership
* Zoom account - projects may request a zoom sub-account for scheduling community meetings. Please submit a ticket to [CDF Helpdesk](https://jira.linuxfoundation.org/plugins/servlet/theme/portal/2/group/19), identifying key community members who should have access.

## Legal

* Licenses: the CDF only permits [OSI licenses][osi-licenses]. Projects may decide which OSI permitted license(s) to adopt for the source code and other content produced by project community. 
* Intellectual Property: projects may decide their preferred approach, typically enforcing a Developer Certificate of Origin (DCO) or a Contributor License Agreement (CLA). The Linux Foundation offers a CLA service via [LFX/EasyCLA][easycla] which projects may decide to adopt. Projects may also adopt.

### Trademarks and Service marks

* Any registered marks for the project must be transferred to the Linux Foundation.
* Marks that are not registered can benefit from a certain degree of protection: a common law trademark provides protection for a symbol, logo, product name, or other words or marks that identify the source of goods or services before it is registered with the state or federal government. If someone began using a confusingly similar mark with similar goods/services, it may be possible to enforce those common law rights (e.g., cease and desist letter, law suit).

## Outreach & Marketing

* A press release announcing the new project will be put out by CDF. Please identify key messaging and community members to provide quotes and email pr@cd.foundation
* Podcast - projects are welcome to do a kickoff episode on The Pipeline Podcast, more detail here: https://cd.foundation/podcast/
* CDF Landscape - add the project to the [CDF Landscape](https://github.com/cdfoundation/cdf-landscape) for better visibility


[osi-licenses]: https://opensource.org/licenses/
[easycla]: https://lfx.linuxfoundation.org/tools/easycla/