# Vacancies Policy

These policy cover the cases of TOC members changing affiliation and temporarily or permanently leaving the TOC. For any case that cannot be resolved through this policy, the CDF Governing Board may decide how to proceed.

## Leave of Absence

Any member of the TOC is welcome to take leave from being a TOC member, for any reason (which they are not required to disclose). The leave must be communicated to the other TOC members via an email to the TOC email list. The actions taken will depend on both of:

1. The length of the leave: whether this is greater or less than approximately (at the discretion of the other TOC members) 1/4 of their total term
1. Whether their seat will be up for election during the period of their leave

If the leave is less than or equal to 1/4 of the TOC member's total term, and their seat will not be up for re-election during that time, the TOC member may select someone to be an acting TOC member for the length of the leave. This person must meet the candidate eligibility requirements for the specific TOC seat, as defined in the [CDF Charter][charter], section 7.c.

If the length of the leave is greater than 1/4 of the total term, or their seat will be up for election during the leave period, the TOC member will be required to [step down from their seat](#stepping-down).

## Stepping down

If a TOC member is no longer able to perform the TOC duties, the TOC member must inform the TOC via an email to the [TOC email list][toc-ml].

The candidate with the next most votes from the previous election for that seat will be offered the seat, provided that person otherwise qualifies to join the TOC. This process will continue until the seat is filled.

In case this fails to fill the seat, a special election for that position will be held as soon as possible, unless the regular TOC election is less than 7 weeks away. Eligible voters from the most recent election will vote in the special election. Eligibility will not be redetermined at the time of the special election. Any replacement TOC member will serve out the remainder of the term for
the person they are replacing, regardless of the length of that remainder.

## Change in affiliation

If a TOC member moves companies, that member must notify the TOC via an email to the [TOC email list][toc-ml]. That TOC member may remain a member unless: 

* the move places the member in conflict with the TOC composition rules, or
* the TOC member (at her/his determination) will no longer be able to perform their TOC duties. 

[charter]: https://github.com/cdfoundation/charter/blob/master/CHARTER.md
[toc-ml]: https://lists.cd.foundation/g/cdf-toc