# CDF Special Interest Groups ("SIGs")

The CDF TOC Special Interest Groups scale contributions by the CDF technical and user community,
while retaining integrity and increasing quality in support of our mission.

TOC and TOC Contributors have fulfilled SIG duties in the past and will continue to do so until a specific SIG takes on that responsibility.

## SIG Formation Process

TOC will identify at least one voting member as TOC Liason for each [proposed SIG](proposed.md). The SIG TOC Liason will work with TOC contributors identify prospective chairs and draft the initial charter (see worked example, then submit a pull request with document referencing the roles and charter, updating the list of current SIGs below.

More details regarding SIG processes can be seen on [this link](https://github.com/cdfoundation/toc/blob/master/GROUPS.md#sigs).

## Current SIGS

| Name | Area | TOC Sponsor | Slack Channel | Maillist |
| -----|------|-------------|---------------|----------|
| [MLOps](https://github.com/cdfoundation/sig-mlops) | Data and machine learning pipelines and model deployment. Standards, specifications, projects | | [#sig-mlops](https://join.slack.com/t/cdeliveryfdn/shared_invite/zt-nwc0jjd0-G65oEpv5ynFfPD5oOX5Ogg) | [sig-mlops@lists.cd.foundation](https://lists.cd.foundation/g/sig-mlops) |
| [Interoperability](https://github.com/cdfoundation/sig-interoperability) | Interoperability across CI/CD tools and technologies. Standards, specifications, projects | | [#sig-interoperability](https://join.slack.com/t/cdeliveryfdn/shared_invite/zt-nwc0jjd0-G65oEpv5ynFfPD5oOX5Ogg) | [sig-interoperability@lists.cd.foundation](https://lists.cd.foundation/g/sig-interoperability) |
| [Events](https://github.com/cdfoundation/sig-events) | This group is looking at how events can help to create CI/CD systems with a decoupled architecture that is easy to scale and makes it resilient to failures | [Tracy Ragan](https://github.com/TracyRagan) | [#sig-events](https://join.slack.com/t/cdeliveryfdn/shared_invite/zt-nwc0jjd0-G65oEpv5ynFfPD5oOX5Ogg) | [sig-events@lists.cd.foundation](https://lists.cd.foundation/g/sig-events) |
| [Best Practices](https://github.com/cdfoundation/sig-best-practices) | Capturing and distributing the various best practices that have been acquired over the years by member organizations | | [#sig-bestpractices](https://join.slack.com/t/cdeliveryfdn/shared_invite/zt-nwc0jjd0-G65oEpv5ynFfPD5oOX5Ogg) | [sig-best-practices@lists.cd.foundation](https://lists.cd.foundation/g/sig-best-practices) |
| [Software Supply Chain](https://github.com/cdfoundation/sig-software-supply-chain) | Contributing to Software Supply Chain Initiatives from CI/CD process, tool, and system perspectives | [Melissa McKay](https://github.com/mjmckay) | [#sig-software-supply-chain](https://join.slack.com/t/cdeliveryfdn/shared_invite/zt-nwc0jjd0-G65oEpv5ynFfPD5oOX5Ogg) | [sig-software-supply-chain@lists.cd.foundation](https://lists.cd.foundation/g/sig-software-supply-chain) |


## Archived SIGs

* [Security](https://github.com/cdfoundation/sig-security)
* [Chinese Localization](https://github.com/cdfoundation/sig-chinese-localization)
