# CDF Best Practices SIG

## Overview

Continuous Delivery is a goal for many organizations. Research shows that implementing continuous delivery practices boosts  organizational performance as well as strengthens organization culture. 
Nevertheless, today every organization that wants to achieve that is forced to go through the same cycle of trial and error and expensive learning before they can reach that goal. What makes this especially painful is the fact that many of the lessons that organizations end up learning were lessons that others had already learned before. For example lessons such as:
- What are good strategies for reducing blast radius of software changes?
- How can canaries help increase confidence in the delivery workflow?

Video: https://youtu.be/iw7_2ZEutHE

# Opportunities and Goals

A key goal of the Continuous Delivery Foundation is to address adoption challenges. We are going to invest time into creating a living, community-driven knowledge source to start capturing and distributing the various best practices that have been acquired over the years by our organizations. 
The knowledge source would aim to:
- Create a living source of guidance and practices, informed by experts in the field.
- Inspire broad contribution and participation from different areas of focus within the CD domain.
- Highlight themes and common solutions that contributed to high-value business impact that CDF member companies have enjoyed in adopting continuous delivery.

Building off of the excellent foundation provided in the 'Accelerate' book by Nicole Forsgren et al, it is our hope that with this resource we can reduce the time and complexity for organizations to finally succeed in establishing a true continuous delivery workflow.  We will know we are successful when:

- Guidance is referenced by industry leaders, both inside and outside of the CDF.
- Guidance is referenced by teams looking to improve their continuous delivery practices
- Guidance is considered of value in marketing efforts for projects.
- Guidance adherence is considered of value in marketing and recruiting efforts for member companies.

# Audience and Participants

This effort is viewed as key importance by the CD.Foundation board of directors and board member Michael Galloway of Netflix is the executive sponsor for this effort. 
The effort should be open to all involved in the field of software delivery. 
Within CDF it is essential we engage our broader community including:

- Open source project communities (e.g. Jenkins, Spinnaker, Tekton, Jenkins X & other OSS communities)
- [CDF Ambassadors](https://cd.foundation/ambassador-program-overview-application/community-ambassador-cohort20/)
- CDF Special Interest Groups (e.g. Interoperability working group)
- [CDF Member companies](https://cd.foundation/members/)
- [CDF End User Council](https://cd.foundation/end-user-council/) participants 

To achieve this it is proposed this effort is structured as a CDF Special Interest Group; the 'Best Practices SIG'. 

# Governance
SIG Best Practices is a [CDF Special Interest Group](https://github.com/cdfoundation/toc/tree/master/sigs).

Governance details for this SIG can be found [here](https://github.com/cdfoundation/sig-best-practices#governance)

# Members
Members of this SIG can be found [here](https://github.com/cdfoundation/sig-best-practices#members)
