# CDF MLOps SIG

## Overview
The MLOps SIG creates designs, specifications, shared code and processes to enable MLOps and Data and ML Pipeline capabilities on top of CD Projects, e.g. Tekton. 

## Agenda

* Define requirements for MLOps for Tekton
* Investigate potential existing dominant technologies in ML Pipeliens space, and their integration with Tekton e.g. Kubeflow Pipelines
* Plan for quarterly face-to-face meetings

The SIG will deliver designs, specifications, shared code and processes that meet the following goals:

* Enable actions performed while writing code, compiling, testing, and distributing software to be manifested and verifiable.
* Enable integration between MLOps Pipelines and Tekton e.g. Kubeflow Pipelines working with Tekton as a backend
* Enable support structure for this code to be maintained, tested on a rigorous level
* Define architecture and guidelines around Lineage tracking, Metadata collection, Experiment tracking, Date versioning, ETL operations etc. which a typical Data and ML Pipeline shall support

## Members

* Animesh Singh (IBM) - Chair
* Pavel Dournov (Google) - Co-chair
* Michael Neale (CloudBees) - Co-chair
* Hamel Husain (Github) - Co-chair
* Jeremey Lewi (Google) - Kubeflow Lead
* Andrea Fritolli (IBM) - Tekton Committer
* Peng Li (IBM) - Tekton Committer
* Pete MacKinnon (Red Hat) - Kubeflow contributor
* Václav Pavlín (Red Hat) - Open Data Hub Lead
* Terry Cox (Bootstrap) - Jenkins X ML quickstarts lead

## Communication
MLOps SIG communication happens via a public mailing list: https://lists.cd.foundation/g/sig-mlops

## Meetings
The MLOps SIG meets every other week at 9:30 AM Pacific, on Thursdays

Meeting agendas and minutes are here: TBD

Download this invitation to add the meeting to your calendar: https://zoom.us/meeting/u5Iqduutpj8o7fVIT1pePLk5wv4H9XpojQ/ics

AND

For APAC / Oceania, the MLOps SIG meets every other week on Thursdays, at 10:00 UTC (*See your timezone [here](https://time.is/1000_in_UTC)*)


-- [Zoom Meeting Link](https://zoom.us/j/95182588714?pwd=UVVUbVFHZWtDQytvNnJ3S3RUL09HQT09)
